> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.goodflag.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.goodflag.com/_mcp/server.

# Modifier une notification

PATCH https://workflow-manager/api/notifications/{notificationId}
Content-Type: application/json

Modifie une notification existante.

Aucun. Autorisés : le propriétaire.

Reference: https://docs.goodflag.com/wm/api-reference/documentation-api/token-portail/notifications/update-notification

## Authentication

- `Authorization` header (bearer token, required) — Authentification Bearer par jeton utilisateur ou jeton d'accès : `Authorization: Bearer <token>`.

## Request

### Path parameters

- `notificationId` (string, required) — L'identifiant de la notification.

### Body (application/json)

This endpoint expects an object.

- `isUnread` (boolean, required) — Indique si la notification a été lue.

## Response

### 200

L'entité Notification mise à jour.

- `created` (long, required) — La date de création de l'entité.
- `eventType` (string, required) — Le type d'événement concerné par la notification.
- `id` (string, required) — L'identifiant de la notification.
- `isUnread` (boolean, required) — Indique si la notification a été lue.
- `tenantId` (string, required) — L'identifiant du tenant auquel appartient la notification.
- `updated` (long, required) — La date de dernière modification de l'entité.
- `creator` (string, optional) — L'identifiant de l'utilisateur à l'origine de la notification.
- `creatorName` (string, optional) — Le nom de l'utilisateur à l'origine de la notification.
- `creatorPictureResourceId` (string, optional) — L'identifiant de la ressource photo de l'utilisateur à l'origine de la notification.
- `linkUrl` (string, optional) — L'URL de la page liée à la notification.
- `preferredLocale` (string, optional) — La locale préférée pour les emails de notification envoyés au destinataire.
- `sendingState` (string, optional) — L'état d'envoi courant de la notification : pending, sending ou sent.
- `stepType` (enum, optional) — Le type d'étape concernée par la notification : signature ou approval.
  - Allowed values: `approval`, `signature`
- `userId` (string, optional) — L'identifiant de l'utilisateur auquel appartient la notification.
- `workflowId` (string, optional) — L'identifiant du parapheur concerné par la notification.
- `workflowName` (string, optional) — Le nom du parapheur concerné par la notification.
- `email` (string, optional) — L'adresse email du destinataire concerné par la notification.
- `stepId` (string, optional) — L'identifiant de l'étape du parapheur concernée par la notification, le cas échéant.
- `jobOperation` (string, optional) — L'opération de tâche en cours d'exécution.

## Errors

### 403 Forbidden Error

AuthenticatedUserDisabled : L'utilisateur authentifié est désactivé. ; MissingBearerToken : Un jeton Bearer est requis. ; TenantInactive : Le tenant est inactif et n'autorise aucune opération. ; UserGroupDisabled : Le groupe de l'utilisateur spécifié est désactivé. ; UserNotAllowed : L'utilisateur authentifié n'est pas autorisé à effectuer cette opération.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

### 404 Not Found Error

NotificationNotFound : La notification spécifiée est introuvable.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

### 409 Conflict Error

EntityLocked : L'entité est en cours de mise à jour.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

### 412 Precondition Failed Error

ConditionalUpdateFailed : Une condition de la requête de mise à jour n'est pas satisfaite.

- `status` (integer, required) — Le code de statut HTTP.
- `error` (string, required) — Le message de statut HTTP.
- `message` (string, required) — Le message d'erreur.
- `code` (string, required) — Le code d'erreur.

## Examples

**Request**

```json
{
  "isUnread": false
}
```

**Response**

```json
{
  "created": 1782821762392,
  "eventType": "recipientInvite",
  "id": "not_4C8j3tTup4e4DiCZmHSiD9d1",
  "isUnread": false,
  "tenantId": "ten_Hm5gqY6oKADYdg9cjhsVbQDH",
  "updated": 1782821762656,
  "creator": "usr_JCwoLDH99mzqizvqyAYJx4gV",
  "creatorName": "Thomas Graham",
  "creatorPictureResourceId": "res_Nct5FtPxv8E5u18sePwFXNpP",
  "linkUrl": "https://gaylord.name/invite?token=eyJhbGciOiJIUzI1NiJ9.eyJhdWQiOiJpbnZpdGUiLCJjb25zZW50VmVyc2lvbiI6IlYyIiwic3RlcElkIjoic3RwX004RHI1a2FwMXhaM0JndWtlM...",
  "preferredLocale": "fr",
  "sendingState": "sent",
  "stepType": "signature",
  "userId": "usr_KG8yTeqRa1kskaSp7Y7GRPAB",
  "workflowId": "wfl_6dHKCGVjBzi4JeHjXULtwQqF",
  "workflowName": "Sleek Wool Coat"
}
```

**SDK Code**

```python Requête réussie.
import requests

url = "https://workflow-manager/api/notifications/notificationId"

payload = { "isUnread": False }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Requête réussie.
const url = 'https://workflow-manager/api/notifications/notificationId';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"isUnread":false}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Requête réussie.
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://workflow-manager/api/notifications/notificationId"

	payload := strings.NewReader("{\n  \"isUnread\": false\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Requête réussie.
require 'uri'
require 'net/http'

url = URI("https://workflow-manager/api/notifications/notificationId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"isUnread\": false\n}"

response = http.request(request)
puts response.read_body
```

```java Requête réussie.
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://workflow-manager/api/notifications/notificationId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"isUnread\": false\n}")
  .asString();
```

```php Requête réussie.
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://workflow-manager/api/notifications/notificationId', [
  'body' => '{
  "isUnread": false
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Requête réussie.
using RestSharp;

var client = new RestClient("https://workflow-manager/api/notifications/notificationId");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"isUnread\": false\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Requête réussie.
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["isUnread": false] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://workflow-manager/api/notifications/notificationId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```